14 сентября 2015

Установить/обновить ядро Linux Kernel 4.1.7 в Ubuntu и производные

Предупреждение. Ядро Linux является критичным элементом системы. Обновления ядра могут содержать улучшения аппаратной поддержки или устранять уязвимости.  Делать обновление стоит когда одно из аппаратных устройств работает некорректно, а новое ядро может решить данную проблему.  Но в тоже время установка нового ядра без особой необходимости может привести к нежелательным регрессиям, таким как: отсутствие подключения к сети, отсутствие звука или даже невозможность загрузить систему, поэтому устанавливайте новое ядро на свой страх и риск.

 Linux Kernel 4.1.7 является седьмым корректировочным выпуском ядра версии 4.1. Вы можете скачать соответствующие deb пакеты ОТСЮДА и установить их в Центре приложений Ubuntu. Или просто следуйте приведенным ниже инструкциям, которые помогут вам установить новое ядро несколькими командами в терминале.

Установить ядро версии 4.1.7 командами ниже, можно ​​в следующих дистрибутивах Linux:

Ubuntu 15.04/14.04/12.04
Linux Mint 17.2/17.1/17/13
elementary OS 0.2/0.3

Установка ядра Linux Kernel 4.1.7

1. Откройте терминал, скопируйте и выполните одну из команд, согласно архитектуры вашей системы/компьютера:

Для 32-bit (одной командой):

cd /tmp; wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1.7-unstable/linux-headers-4.1.7-040107-generic_4.1.7-040107.201509131330_i386.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1.7-unstable/linux-headers-4.1.7-040107_4.1.7-040107.201509131330_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1.7-unstable/linux-image-4.1.7-040107-generic_4.1.7-040107.201509131330_i386.deb; sudo dpkg -i *.deb

Для 64-bit (одной командой):
 
cd /tmp; wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1.7-unstable/linux-headers-4.1.7-040107-generic_4.1.7-040107.201509131330_amd64.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1.7-unstable/linux-headers-4.1.7-040107_4.1.7-040107.201509131330_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1.7-unstable/linux-image-4.1.7-040107-generic_4.1.7-040107.201509131330_amd64.deb; sudo dpkg -i *.deb

 2. Обновите GRUB (GRUB надо обновлять в той системе Linux где он установлен, если у вас их более одной):

sudo update-grub

Примечание 1
.
Если у вас установлен загрузчик BURG, то и его нужно обновить:

sudo update-burg

3. По окончании установки, закройте все приложения и перезагрузите компьютер следующей командой:

sudo reboot

После входа в систему, проверьте версию актуального ядра командой в терминале:

uname -r


Видеодрайвер Nvidia 355.11


Дистрибутив Linux Mint 17.2 XFCE 



Примечание 2. Как вернуться к ранее установленному ядру, инструкция ЗДЕСЬ.

Если вы решили удалить ядро 4.1.7, выполните эту команду:

sudo apt-get purge linux-image-4.1.7-*

И вновь обновите GRUB командой:

sudo update-grub

Источник: https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/log/?id=refs/tags/v4.1.7

Удачи.

14 комментариев :

  1. Спасибо, а то с 4.2 не работали дрова Нвидиа.
    И не могли бы вы написать кратктй обзор о новой Voyager X2 HD? http://voyagerlive.org/
    Думаю многих заинтересует.

    ОтветитьУдалить
    Ответы
    1. На офф сайте есть видео обзор дистра. Что там можно еще рассказать по вашему? Везде все одно и тоже.

      Удалить
  2. не знал, что вояжер обновился, на днях затестим =) и за ядро тож спасибо)

    ОтветитьУдалить
  3. когда уже появится разрешение 1600 на 900 без танцев с бубнами??

    ОтветитьУдалить
  4. http://compizomania.blogspot.com/2015/08/linux-kernel-42-ubuntu.html#more
    а это что???

    ОтветитьУдалить
    Ответы
    1. Это linux-kernel-4.2. Уже есть и linux-kernel-4.3-rc1. А ядро linux-image-4.1 продолжают обновлять. Что тут удивительного?

      Удалить
    2. ну как бы нужно как-то акцентироваться на этом в сабжах
      специально для таких тупорезов как я )))

      Удалить
  5. Установил данное ядро на минт ребека , все получилось хорошо с первого раза , проблем с вафлей как в предыдущий раз нет .
    Пока что ни каких изменений в работе не заметил , если что замечу отпишусь .

    ОтветитьУдалить
  6. Хочу найти двайвер который позволит мне менять резолюцию экрана
    может кто знает как это сделать для Intel Corporation Mobile 945GSE Express Integrated Graphics Controller

    ОтветитьУдалить
  7. Что то я не пойму, зачем нужен 4.1.7 , когда прекрасно работает 4.2? Я думал, что будет обновление ядра до 4.2.1 .

    ОтветитьУдалить
    Ответы
    1. Потому что убунту слоупок и не умеет заводить дрова nvidia под 4.2. В отличии от арча, который может и уже давно.

      Удалить
  8. помле обновления ядря отвалился броадкомовский драйвер вайфая на минте 17.2
    и фиг знает как его теперь востановить :(
    хоть систему переставляй

    ОтветитьУдалить
    Ответы
    1. Зачем систему переустанавливать. Просто вернуться к ранее установленному ядру, раз на нём вай-фай работал. И все дела.

      Удалить